<template>
  <div class="background" style="padding: 32px;">
    <div class="row q-col-gutter-x-lg flex items-start">
      <div class="col-5 flex justify-end"><img :src="profile.img" alt="" height="120px" style="border-radius: 50%;"></div>
      <div class="col-7 column">
        <div style="margin-top: 20px; position: relative; padding-left: 35px;">
          <img src="../../statics/images/coin.svg" alt="" style="position:absolute; left: 0; z-index: -1;">
          <h5 style="margin: 0; font-size: 12px; color: #757575;">Хелпсы</h5>
          <span style="color: #00BBD3; font-size: 24px; font-weight: 700; line-height: 30px !important;">{{ profile.balance }}</span>
        </div>
        <div style="margin-top: 2px; position: relative; padding-left: 35px;">
          <img src="../../statics/images/profile-calendar.svg" alt="" style="position:absolute; z-index: 99; left: 3px; top: 5px; height: 25px;">
          <h5 style="margin: 0; font-size: 12px; color: #757575;">Мероприятия</h5>
          <span style="color: #00BBD3; font-size: 24px; font-weight: 700; line-height: 30px !important;">{{ profile.events.length }}</span>
        </div>
      </div>
    </div>
    <div class="row q-mt-lg">
      <div class="col-12">
        <div class="inline-block" style="position:relative;">
          <q-icon class="fa fa-edit" style="font-size: 20px; color: #989898; position:absolute; right: -30px; top: -4px;"></q-icon>
          <h3 style="margin: 0; font-size: 24px; font-weight: 700; color: #2E2E2E;">{{ profile.first_name + ' ' + profile.last_name }}</h3>
        </div>
        <p style="margin-top: 8px; font-size: 14px; color: #848484; line-height: 16px !important;">{{ profile.about }}</p>
      </div>
      <div class="col-12" style="font-size: 24px;">
        <q-icon class="fab fa-vk q-mr-md" style="color: #989898;"></q-icon>
        <q-icon class="fab fa-instagram q-mr-md" style="color: #989898;"></q-icon>
        <q-icon class="fab fa-telegram-plane" style="color: #989898;"></q-icon>
      </div>
    </div>
    <div class="row q-col-gutter-x-sm flex" style="margin-top: 75px;" v-show="profile.organization">
<!--    <div class="row q-col-gutter-x-sm flex" style="margin-top: 75px;" v-show="true">-->
      <div class="col-5 flex justify-end" style="height: 100%"><img src="../../statics/images/about-org.svg" alt="" style="height: 125px;"></div>
      <div class="col-7 column">
        <div style="position: relative;">
          <h5 style="margin: 0; font-size: 12px; color: #313131;">Ранг</h5>
          <span class='text-blue-2' style="font-size: 24px; font-weight: 700;">4</span>
        </div>
        <div style="margin-top: 10px; position: relative;">
          <h5 style="margin: 0; font-size: 12px; color: #313131;">Организовано</h5>
          <span class='text-blue-2' style="font-size: 24px; font-weight: 700;">
            Мероприятий: {{ profile.event_rates.length }}
          </span>
        </div>
        <div style="margin-top: 10px; position: relative;">
          <h5 style="margin: 0; font-size: 12px; color: #313131;">Посещаемость</h5>
          <span class='text-blue-2' style="font-size: 24px; font-weight: 700;">от 12 до 45</span>
        </div>
      </div>
    </div>
    <div class="row column" style="margin-top: 36px;">
      <h3 style="margin: 0; color: #2E2E2E; font-weight: 700; font-size: 18px; line-height: 22px !important;">Экологический департамент Невского района</h3>
      <p style="color: #625F5F; margin-top: 14px; margin-bottom: 0;">Сайт: eco-deco.com</p>
      <p style="margin-top: 8px; margin-bottom: 30px;color: #625F5F;">Телефон: 8 (988) 77-88-66</p>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
  name: 'Profile',
  data () {
    return {
    }
  },
  computed: {
    ...mapGetters({
      profile: 'users/profile'
    })
  }
}
</script>

<style lang="scss" scoped>
.background {
  background: url('../../statics/images/profile-back.svg') no-repeat bottom 35px center;
  background-size: 100%;
}
</style>
